def flattenList(list: List[Any]): List[Any] = {
  list.foldRight(List.empty[Any])(
    (e, acc) => {
      e match {
        case l: List[Any] => flattenList(l) concat acc
        case _ => e::acc
      }
    }
  )
}

assert(
  flattenList(
    List(List(1,1), 2, List(3, List(5, 8)))
  ) == List(1,1,2,3,5,8)
)

